Get Transaction by External ID

Gets a transaction by an external ID at a specific external service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The ID of the transaction in the external service.

enum
required

The ID of the external service that the external_client_id comes from.

string
enum

The type of transaction to return. This is useful if you are mapping from a CRM that supports contacts that are both a buyer and a seller, which will have two mapped transactions (one for each type) in Sisu. Valid types: b = buyer, s = seller. If this option is omitted and you create both a buyer and seller mapping for the same combination of external_client_id and external_service then an error will be thrown.

Allowed:
string

The transaction email address to search for if a transaction is not found with a matching external_client_id and external_service_id. This is useful for locating transactions that already exist in the system without external ID mappings.

string

The transaction first name to search for if a transaction is not found with a matching external_client_id and external_service_id. This is useful for locating transactions that already exist in the system without external ID mappings. This fallback search runs after fallback_email and will not run if fallback_email successfully finds a transaction. Requires fallback_last_name to also be specified.

string

The transaction last name to search for if a transaction is not found with a matching external_client_id and external_service_id. This is useful for locating transactions that already exist in the system without external ID mappings. This fallback search runs after fallback_email and will not run if fallback_email successfully finds a transaction. Requires fallback_first_name to also be specified.

boolean

Whether or not to automatically create a mapping after a fallback search successfully locates a transaction. This option only works when combined with the fallback_email and/or fallback_last/first_name parameters. This setting lets you effectively use this one request to search for a transaction by an external ID, search by email (if not found), search by name (if not found)and then save the mapping to the system (if missing). Defaults to false.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json